Retrieve Challenge by IDget https://{hostname}/api/talk/content/v1/challenges/{id}This operation retrieves a single challenge by ID. Authorization and Permissions An OpenAm token is required to retrieve the challenge. The user must have content retrieval permission, which is granted by a Talk administrator. Path ParamsidstringrequiredThe ID of the challenge.HeadersAuthorizationstringrequiredAn openAM token for the user.x-correlation-idstringA UUID value to track the request, used for debugging and tracing.acceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 200Successfully retrieved the challenge. 400The HTTP status code 400 Bad Request error, thrown when required parameters are not passed. 401The HTTP status code 401 Unauthorized error, thrown when the user is not authorized to access the resource. 403The HTTP status code 403 Forbidden error, thrown when the user is not authorized to access the resource. 404The HTTP status code 404 Not Found error, thrown when the challenge is not found. 405The HTTP status code 405 Method Not Allowed error, thrown when you attempt to call a URI with an unsupported HTTP method. 406The HTTP status code 406 Not Acceptable Content error, thrown when you send a request with accept header other than application/json. 500The HTTP status code 500 Internal Server error, thrown when the server is not able to process the request.Updated 9 months ago